> ## Documentation Index
> Fetch the complete documentation index at: https://docs.juicyway.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Convert an amount from one currency to another



## OpenAPI

````yaml /openapi.json post /exchange/convert
openapi: 3.0.0
info:
  title: Juicyway API
  version: 1.0.0
servers: []
security: []
tags:
  - description: Payment APIs
    name: payments
  - description: Payouts APIs
    name: payouts
  - description: Exchange APIs
    name: exchange
  - description: Wallets APIs
    name: wallets
paths:
  /exchange/convert:
    post:
      tags:
        - exchange
      summary: Convert an amount from one currency to another
      operationId: Exchange.Web.RateController.convert
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ConversionParams'
        description: Conversion params
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ConversionResponse'
          description: Conversion result
      callbacks: {}
components:
  schemas:
    ConversionParams:
      description: Conversion params
      example:
        amount: '750.00'
        from: USD
        to: NGN
      properties:
        amount:
          description: Amount, in major units
          type: string
        from:
          description: Source currency
          type: string
        to:
          description: Target currency
          type: string
      required:
        - from
        - to
        - amount
      title: ConversionParams
      type: object
    ConversionResponse:
      description: Conversion response
      example:
        data:
          converted_amount: '100.00'
      properties:
        data:
          description: Conversion response
          properties:
            converted_amount:
              description: Converted amount, in major units
              type: string
          type: object
      title: ConversionResponse
      type: object

````